import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-password-hide-show',
  imports: [],
  templateUrl: './password-hide-show.component.html',
  styleUrl: './password-hide-show.component.scss'
})
export class PasswordHideShowComponent {
@Output() onEyeClick = new EventEmitter();
  @Input() showPassword : boolean = false;
  inputType : String = '';
  constructor() { }

  ngOnInit(): void {
    
  }

  togglePassword(){
    this.showPassword = !this.showPassword;
    this.onEyeClick.emit();
  }
}
